Subject: Linux-Development Digest #303
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Thu, 13 Oct 94 18:13:14 EDT

Linux-Development Digest #303, Volume #2         Thu, 13 Oct 94 18:13:14 EDT

Contents:
  Re: Telnet & ftp freeze! (Trevor Lampre)
  Re: 8-bit colour ANSI and ncurses ([email-masked])
  Re: 3c503 problem (Donald Becker)
  Re: libg++-2.6: builtinbuf undefined (Kai-Uwe Sattler)
  Re: Improving SLIP latency under Linux (John Richardson)
  Usenet and Linux problems. (Nathan Stratton)
  Re: Odd floppy sector size? (David Monro)
  Re: A badly missed feature in gcc (Mike Dowling)
  Hard Drive security under Linux (Zack T. Smith)
  Re: Mathematical functions with c (Norbert Kuemin)
  Re: Mathematical functions with c (Andy Pevy)
  Re: A badly missed feature in gcc (Thomas Koenig)
  Re: BSD/386 vs. Linux Performance (Thomas Heiling)
  Re: A badly missed feature in gcc (Dan Pop)

----------------------------------------------------------------------------

From: [email-masked] (Trevor Lampre)
Crossposted-To: comp.os.linux.help,comp.os.linux.misc,comp.os.linux.admin
Subject: Re: Telnet & ftp freeze!
Date: 11 Oct 1994 16:45:31 +0930

In article <[email-masked]>,
Colin Beckmann <[email-masked]> wrote:
>Ralph Sims ([email-masked]) wrote:
>: [email-masked] (System Administrator) writes:
>
>: >Trevor Lampre ([email-masked]) wrote:
>
>[stuff deleted]
>: >for confirming what we've been seeing!  I suggest we keep this thread 
>: >open and fill it with additional information until the problem gets the 
>: >attention it needs.  I'm not a programmer, much less a kernel hacker, so 
>: >I can only voice frustration with the situation.
>
>: And what about those of us that DON'T see it?  Basic setup is a
>: dedicated PPP link on a 14.4 dialup, NET-3 stuff, ppd 2.1.2a,
>: etc., with an InfoMagic/TransAmeritech CD-ROM combined install.
>
>: I move many megabytes of files around via FTP daily, and another
>: many megs around with mosaic and lynx.  Sendmail+IDA's been
>: rock-solid.
>
>[stuff deleted]
>
>If your not seeing be thankful and provide your system configuration
>so the experts can see whats working and whats not working
>
>I am NOT seeing th problem,  Have a  14.4 modem using NET-3 pppd 2.2.2a with 
>slackware 1.2 , and kernel 1.1.30.  I have downloaded 20 and 30 megs in a
>single session via ftp and never had a problem.  I regularly rlogin to
>other sites, once again without problem
>

The problem is not with telneting or ftping out from the machine  but with
incoming connections. Not all daemons suffer from it. On my machine it has
been telnet mostly, ftp rarely, sendmail 8.6.9 rarely, routed rarely. INN
never has a problem even though it gets about 60M of news a day.

Trevor Lampre

------------------------------

From: [email-masked]
Subject: Re: 8-bit colour ANSI and ncurses
Date: 13 Oct 1994 16:28:18 GMT
Reply-To: [email-masked]

I think that if the console driver is modified to accept new escaape
sequences, a new termcap/terminfo file should be included as well.  My
etc/termcap does not give any of the alternate character set entries
(as,ae,ac) for the console terminal.

--
     _____________
#___/John E. Davis\_________________________________________________________
#
# internet: [email-masked]
#   bitnet: davis@ohstpy
#   office: 617-735-6746
#

------------------------------

From: [email-masked] (Donald Becker)
Crossposted-To: comp.os.linux.help
Subject: Re: 3c503 problem
Date: 9 Oct 1994 22:00:08 -0400

In article <[email-masked]>,
Greg Bruell <[email-masked]> wrote:
>I'm seeing the same problem with:
> 1.1.51, P60
>
>I've checked /var/adm/notice and /proc/net/dev and there is no
>further information. I gave a quick glance at the driver and it
>doesn't look like it logs much. I'm using the internal transciever.
>The card and drop have been independently verified as functional.
>Is anyone else seeing this with 1.1.?? ?

What does /proc/net/dev report?  The 'rx-errors' reported by ifconfig is a
catch-all category.  Most errors also cause one of the other error counters
to increment.

-- 
Donald Becker                                     [email-masked]
USRA-CESDIS, Center of Excellence in Space Data and Information Sciences.
Code 930.5, Goddard Space Flight Center,  Greenbelt, MD.  20771
301-286-0882         http://cesdis.gsfc.nasa.gov/pub/people/becker/whoiam.html

------------------------------

From: [email-masked] (Kai-Uwe Sattler)
Subject: Re: libg++-2.6: builtinbuf undefined
Date: 13 Oct 1994 15:29:16 GMT

In article <[email-masked]> [email-masked] (Alex Ramos) writes:

> libg++-6.0 fails to build under Linux-1.0.9, with either version
> of gcc-2.5.8 and gcc-2.6.0.
> It was configured with "./configure" (no parameters) which resulted
> in the correct guess i386-unknown-linux.
> 
> Error message:
> ../../libg++.a(stdstrbufs.o): Undefined symbol builtinbuf referenced from data segment

I have the same problem, but only with Linux. On SunOS 4.1.3 and
Solaris 2.3 I can build libg++ without errors. Any hints ?

--
Kai-Uwe Sattler                            email: [email-masked]
University Magdeburg                 \|/   voice: +49-391/5592-2996
Departement of Computer Science     (o o)
=================================oOo=(_)=oOo================================

------------------------------

From: [email-masked] (John Richardson)
Subject: Re: Improving SLIP latency under Linux
Date: 11 Oct 1994 16:50:53 GMT

In article <[email-masked]>,
Andrew R. Tefft <[email-masked]> wrote:
>>If your slip server has a queue of ftp packets to send you, it should
>>be thowing your interactive packet at the front of the queue.
>>Or if you are sending and you have a full buffer of interactive
>>packets, your interactive packet should go to the front of your
>>queue. 
>
>I just wanted to mention that Morningstar PPP has had a queueing
>priority scheme for some time, and from what the documentation says,
>it treats ftp as *interactive*, same as a login session. So people
>have some different ideas on this.

Are you sure it doesn't mean that it puts the interactive (control)
packets from ftp on the low delay queue and treats the file
transfer packets as  maximize thoughput?

--
John Richardson
[email-masked]

------------------------------

Crossposted-To: comp.os.linux.help
From: [email-masked] (Nathan Stratton)
Subject: Usenet and Linux problems.
Date: Wed, 12 Oct 1994 03:58:30 GMT

    Hi, I have my usenet setup, but I have this one little problem. 
Usenet is not getting sent out. I get theis file called usenet_out.work 
this fiel is growing vary fast and no one is posting. My outgoing file 
should be called usenet_out what is the .work thing and why is it growing 
when no one is posting?
    If you can help please send me mail at [email-masked] or 
[email-masked].

Thanks,

-- 
Nathan Stratton         CEO, NovaNet, Inc. On-Line Communication Services.

------------------------------

From: [email-masked] (David Monro)
Subject: Re: Odd floppy sector size?
Date: Mon, 10 Oct 1994 01:38:34 GMT

In article <[email-masked]>,
Dale Shuttleworth <[email-masked]> wrote:
>Hi,
>
>I've got a bit of a problem.  I'm trying to read floppies written
>with 256 byte sectors.  Looking at the floppy code for 1.1.45, there
>doesn't seem to be a coherent strategy for handling different sector
>sizes.  In some places it is assumed to be 512 bytes, in others it
>is replaced with a #define, which may be either 128 or 512 bytes.
>
>I know that the code is changing quite a lot with other features,
>but is there any reason why the facility to handle arbitary (within
>the constraints of the FDC) was not included.  I have to admit that
>I know absolutely nothing about the PC FDC so I could of course be
>trying to achieve the impossible.
It is possible for the hardware to do 256 byte sectors. Linux just
doesn't support less than 512.
>
>If it is feasible, does anybody see any reason why I shouldn't do
>it?  I can see that I might run the risk of breaking several IOCTLs
>if I try to tack on storage for a sector size indicator to the
>existing data structures.

in later kernels (somewhere above 1.1.40) strange sector sizes like 1K
are supported in the hacked floppy drivers from memory, to allow some
bizzarre high density formats. Perhaps 256byte sectors could be
integrated with this. I haven't looked at the code though.
>
>Any comments, cries of don't do it, pleas to do it, indications that
>it can't be done, etc, are most welcome.
Well, if you can do it, I'd love to see it - I also need to read such
floppies (from an M68020 machine running SysV/68k R2 V3.0 in my case).
I can't do it myself yet because my 5.25" floppy drive is braindead and
refuses to read anything except 1.2Mb disks (no I can't read 360K disks
under DOS either. Causes no end of problems!).

>
>               Dale.
>
>-- 
>******************************************************************************
>*  Dale Shuttleworth                                                         *
>*  Email: [email-masked]                                           *
>******************************************************************************

David Monro
        [email-masked]

------------------------------

From: [email-masked] (Mike Dowling)
Subject: Re: A badly missed feature in gcc
Date: 13 Oct 1994 16:53:28 GMT
Reply-To: [email-masked]

I've held my peace until now, but this thread has been going on for so long
that I'll give into to temptation, despite my doubts as to the suitability of
this list for this thread.

Personally, I believe in adhering to standards because only that can guarantee
portability.  These standards may even be extremely restrictive (e.g. FORTRAN
77) but, if you adhere to FORTRAN 77, you programs will run under Linux,
workstations, super computers, DOS, OS/2, and, subject to the occasional IBM
whim, IBM mainframes.  (If you want to vectorise FORTRAN, then IBM forces you
to use illegal characters like '@'.)  In short, by using pure ANSI C, even if
there are aspects of it that you don't like, your programs are portable.  If
you need more than ANSI can provide, then use POSIX.  OK, non-conformist
systems like IBM mainframes, DOS and OS/2 don't conform to POSIX, so you do
have only limited portability, but you will stand a good chance of porting your
programs to any system that you are likely to enjoy working on.

There is the iso standard for character coding that extends ASCII to include
such national characters as 'ä' or 'ß'.  Now, I'll bet that probably most of
you just saw gibberish instead of \"a and \ss (TeX format).  This is because
few computer manufacturers provide the iso standard by default, and many (IBM,
MSDOG) don't provide it at all.  If you live in a country like Germany, then
this causes chaos on remote printers where the whole spectrum of OSs has access
to them.  Of course, commercial software companies like to flout standards
because they know that those who fall for it will either have a lot of work to
do cleaning up the mess they have made, or else continue to buy from the same
cynical companies.

In a nutshell, non-ANSI constructs in gcc are not only not desirable, they are
downright undesirable.
--
P.D. Dr. Michael L. Dowling               (__)       [email-masked]
Abteilung fuer Mathematische Optimierung  (oo)
Institut fuer Angewandte Mathematik        \/-------\
TU Braunschweig                             ||     | \
Pockelsstr. 14                              ||---W||  *
38106 Braunschweig, Germany                 ^^    ^^    Ph.: +49 (531) 391-7553

------------------------------

From: [email-masked] (Zack T. Smith)
Subject: Hard Drive security under Linux
Date: Thu, 13 Oct 1994 16:55:20 GMT

Hi,

I've got two questions regading hard drive security under Linux:

1.
Is there any way to 'wipe' i.e. overwrite with zeros the unused
data on a Linux formatted partition?

2.
Is there any way to encrypt all of a hard drive partition with
a password? I'd prefer to run such a program within Linux or
(if it's possible, though I doubt it) from the BIOS flash memory.

Thanks for any info,

Zack Smith

------------------------------

From: [email-masked] (Norbert Kuemin)
Subject: Re: Mathematical functions with c
Date: 12 Oct 1994 11:36:58 GMT
Reply-To: [email-masked]

Norbert Kuemin ([email-masked]) wrote:
: Does anyone now which library i must link to use the definitions from
: /usr/include/math.h ???

: TNX

Problem solved .... Thanks for all the emails ...

Norbert

------------------------------

From: [email-masked] (Andy Pevy)
Subject: Re: Mathematical functions with c
Date: 12 Oct 1994 14:36:42 GMT

Norbert Kuemin ([email-masked]) wrote:
> Does anyone now which library i must link to use the definitions from
> /usr/include/math.h ???

> TNX

> Norbert

        'libm'
        
        gcc ???????? -lm ?????
        
        Rgds   Andy Pevy.

------------------------------

From: [email-masked] (Thomas Koenig)
Subject: Re: A badly missed feature in gcc
Date: 13 Oct 1994 18:35:34 GMT
Reply-To: [email-masked]

Mike Dowling ([email-masked]) wrote in comp.os.linux.development,
        article <[email-masked]>:

>Personally, I believe in adhering to standards because only that can guarantee
>portability.

You're not the only one.  I think there is a fairly fundamental
difference between people who mostly work on small systems (MS-DOS,
Windows, Mac, Amiga, Atari) and people who use larger systems regularly.

People from a 'small' kind of background rarely think about porting code
to a different system; the 'if it works for me NOW, we'll use it'
variety of thinking is very common there.  A good example of this
is Turbo Pascal (which fixed some obvious brain - deadisms in the
Pascal standard) to get a working compiler; people who wrote something
for TP didn't expect to port this kind of thing, ever.  Also, the
'official' services offered by these kinds of operating systems
often were so abysmally slow that they had to be circumvented to
get decent performance.  Finally, people often came to PCs from
a Apple II or C64 background, where you had to poke your way anyway ;-)

This philosophy is still being extended by companies like Microsoft,
who push new operating systems and non - standard tools onto the
market as fast as they will go.  This is a fairly obvious attempt
to lock the customer into their own product line (a game computer
which has been played since the beginning of the /360 series).

The need for portability between different systems really started
in large installations, which might run different systems at the same
time and switch between them; there's no way /360 assembly code will run
on a EXEC 1100, so source code compatibility became important.  This has
led to different standardization of languages and to systems like UNIX,
which was a radical idea at the time - an operating system fairly
independent of hardware.  Its API proved to be good enough to become
the foundation of the POSIX standards.

Microsoft et.al.  are trying to pull the same tricks on the users that
IBM got away with a long time.  When people with this kind of mindset
collide with the portability fanatics from UNIX systems, you get a
culture clash ;-)

>OK, non-conformist
>systems like IBM mainframes, DOS and OS/2 don't conform to POSIX,

Wasn't IBM planning an OpenMVS/ESA, or something?   That'll be a
sight ;-)

>In a nutshell, non-ANSI constructs in gcc are not only not desirable, they are
>downright undesirable.

I concur.
--
Thomas Koenig, [email-masked], [email-masked].
The joy of engineering is to find a straight line on a double
logarithmic diagram.

------------------------------

From: [email-masked] (Thomas Heiling)
Subject: Re: BSD/386 vs. Linux Performance
Date: 11 Oct 1994 12:35:10 GMT

Alan Cox ([email-masked]) wrote:
: In article <[email-masked]> [email-masked] ( Leif Albers) writes:
: >The main result was (if I'm right):
: >  If you have a small (harddisk and memory), stand-alone machine --
: >use Linux.
: >  If you have a machine connected to a network with much network
: >travel -- use BSD.

: Both of these are out of date. With its shared libs and clean up BSD runs as
: well as Linux on small machines and the net code in Linux is now solid.

I am the original author of the above statement and still I would say this
is true. Two points for this - for a IMHO still valid comparison look in
the BSD-FAQ :

The Problem with BSD is, that for a ( hopefully ) new user it is very
difficult to get a small system, because you need at least the binary
distribution and you must have at least the kernel sources, if you have
some other configured hardware. And for this you either need the complete
Source distribution or you know so much about BSD, so you can pull only
the /usr/sry/sys kernel tree from the net.

"BSD runs as well as Linux on small Machines", maybe I have not really
understand something, but on my 8 MB machine the kernel takes away about
1 MB ( a configured kernel, not GENERIC ), and the virtual machine
allocates about 1,2 MB for buffers and this buffers are not dynamic !,
next you need some Shells so in the end you have less than 5 MB free.
I get more memory free with Linux. The other thing is the size of the
swap space, I have 30 MB on BSD and you need probably at least 2 to 3 * RAM
on a BSD system, this is not true with Linux.

The positive side about BSD is of course that there is only one distribution
with full source and it looks to me that NFS is ( much ) better than
with Linux. Another aspect is in compiling C, some numbers from a test
yesterday : 
time make on BSD gives something like : 2 system 204 user 3:20 wall 83% CPU
same thing on the same machine with Linux
20 sys 230 user 4:50 wall 93 % CPU
Don't know why this is so different. 

: Everyone around here uses Linux mostly because 

: a)    Everyone else does
: b)    It's easier to get hold of (in the UK its made a major UK CD
: magazine [which seems to have immediately sold out everywhere].
: c)    DOS emulation, and being able use iBCS2 binaries.

: I think a) probably has the most bearing. 

: Alan

In my opinion too, a) is the biggest plus and you get very good
answers on the net, because "Everyone else does".

: -- 
:   ..-----------,,----------------------------,,----------------------------,,
:  // Alan Cox  //  [email-masked]   //  GW4PTS@GB7SWN.#45.GBR.EU  //
:  ``----------'`----------------------------'`----------------------------''

--

Just my 2 Pfennig - feel free to email me if yours differ !
===================================================
Thomas Heiling Pharmacist & Doctorate at 
Pharmazeutisches Institut Uni Wuerzburg - Germany 
Email [email-masked] (HP-UX)
      [email-masked] (Linux)
or [email-masked] ( VAX )

===================================================

------------------------------

From: [email-masked] (Dan Pop)
Subject: Re: A badly missed feature in gcc
Date: Wed, 12 Oct 1994 22:44:05 GMT

In <ianm.781991694@eldritch> [email-masked] (Ian McCloghrie) writes:

>[email-masked] (Jeff Kesselman) writes:
>
>>Very true, he said, quickly jotting notes for the next inevitble 
>>super-set argument.
>
>Even more fun is the difference between NULL.  Used to be, in K&R,
>that NULL was defined as "0".  In ANSI, it's defined as "(void *) 0".

Nonsense. ANSI requires no single definition for NULL and 

#define NULL 0

is a perfect definition for NULL in ANSI C. See the comp.lang.c FAQ
for details.

Dan
--
Dan Pop 
CERN, CN Division
Email: [email-masked]
Mail:  CERN - PPE, Bat. 31 R-004, CH-1211 Geneve 23, Switzerland

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************